----- cek nip keluarga yang tidak sama dengan nip pegawai aktif
SELECT
	sdc.NIP,
	sdc.NM_PEG,
	klg.NIP_KELUARGA,
	klg.NM_KELUARGA,
	klg.NM_ANAK_PASANGAN,
	CASE 
		WHEN charindex('-', klg.NIP_KELUARGA)>0 THEN LEFT(klg.NIP_KELUARGA, charindex('-', klg.NIP_KELUARGA) - 1)
		ELSE klg.NIP_KELUARGA
	END AS cek
FROM
	SPG_DATA_CURRENT AS sdc INNER JOIN
	SPG_RIWAYAT_KELUARGA_PEG AS klg ON sdc.NIP = klg.NIP
WHERE
	sdc.STS_PENSIUN = '0'
	AND klg.NIP <> CASE 
		WHEN charindex('-', klg.NIP_KELUARGA)>0 THEN LEFT(klg.NIP_KELUARGA, charindex('-', klg.NIP_KELUARGA) - 1)
		ELSE klg.NIP_KELUARGA
	END

---- backup data
--SELECT *
--INTO SPG_RIWAYAT_KELUARGA_PEG_20220727
--FROM SPG_RIWAYAT_KELUARGA_PEG


---- patching samakan nip keluarga dengan nip pegawai
--UPDATE
--	klg
--SET
--	NIP_KELUARGA = klg.NIP + RIGHT(klg.NIP_KELUARGA, LEN(klg.NIP_KELUARGA) - CHARINDEX('-', klg.NIP_KELUARGA) + 1)
--FROM
--	SPG_DATA_CURRENT AS sdc INNER JOIN
--	SPG_RIWAYAT_KELUARGA_PEG AS klg ON sdc.NIP = klg.NIP
--WHERE
--	sdc.STS_PENSIUN = '0'
--	AND klg.NIP <> CASE 
--		WHEN charindex('-', klg.NIP_KELUARGA)>0 THEN LEFT(klg.NIP_KELUARGA, charindex('-', klg.NIP_KELUARGA) - 1)
--		ELSE klg.NIP_KELUARGA
--	END
